package com.ruoyi.app.mapper;

import com.ruoyi.app.domain.HookRegister;
import com.ruoyi.app.domain.request.ReqHookRegister;

import java.util.List;

/**
 * 吊钩注册Mapper接口
 * 
 * @author coede
 * @date 2025-03-19
 */
public interface HookRegisterMapper 
{
    /**
     * 查询吊钩注册
     * 
     * @param id 吊钩注册主键
     * @return 吊钩注册
     */
    public HookRegister selectHookRegisterById(Long id);

    /**
     * 查询吊钩注册
     *
     * @param req 请求参数
     * @return 吊钩注册
     */
    public HookRegister selectHookRegisterByEpcNo(ReqHookRegister req);

    /**
     * 查询吊钩注册列表
     * 
     * @param req 吊钩注册
     * @return 吊钩注册集合
     */
    public List<HookRegister> selectHookRegisterList(ReqHookRegister req);

    /**
     * 校验吊钩编号是否唯一
     *
     * @param  hookNo 吊钩编号
     * @return 结果
     */
    public HookRegister checkHookNoUnique(String hookNo);

    /**
     * 校验芯片编号是否唯一
     *
     * @param  epcNo 芯片编号
     * @return 结果
     */
    public HookRegister checkEpcNoUnique(String epcNo);

    /**
     * 新增吊钩注册
     * 
     * @param HookRegister 吊钩注册
     * @return 结果
     */
    public int insertHookRegister(HookRegister HookRegister);

    /**
     * 修改吊钩注册
     * 
     * @param HookRegister 吊钩注册
     * @return 结果
     */
    public int updateHookRegister(HookRegister HookRegister);

    /**
     * 删除吊钩注册
     * 
     * @param id 吊钩注册主键
     * @return 结果
     */
    public int deleteHookRegisterById(Long id);

    /**
     * 批量删除吊钩注册
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHookRegisterByIds(Long[] ids);
}
